<form 
 	layout="column" 
	ng-submit="addDomain(model)"
	mb-preloading="ctrl.status === 'working'"
	layout-padding
	flex>
    <input hide type="submit" />
	<div 
		layout="column">
		<md-input-container>
			<label translate>Title</label>
			<input ng-model="model.title">
		</md-input-container>
		<md-input-container>
			<label translate>Description</label>
			<input ng-model="model.description">
		</md-input-container>
	    <wb-ui-setting-image
	    	title="Cover" 
		    wb-ui-setting-clear-button="true"
		    wb-ui-setting-preview="true"
	        ng-model="model.cover">
		</wb-ui-setting-image>
	</div>


	<div class="md-toolbar-tools">
		<span flex></span>
		<md-button 
			ng-click="addDomain(model)">
			<wb-icon aria-label="close">done</wb-icon>
			<span translate>Add</span>
		</md-button>
		<md-button 
			ng-click="cancel()">
			<wb-icon aria-label="close">close</wb-icon>
			<span translate>Cancle</span>
		</md-button>
	</div>
</form>
